# Split

### Methods

- - Split.blur()

Blurs the current editor.

Blurs the current editor.

- - Split.execute()
  - Undocumented

- - Split.focus()

Focuses the current editor.

Focuses the current editor.

- - Split.forEach(Function callback, String scope)
  - Undocumented

#### Arguments

callback | Function | Required. A callback function to execute
scope | String | Required. The default scope for the callback Executes `callback` on all of the available editors.

- - Split.getCurrentEditor()
  - - Editor

Returns the current editor.

Returns the current editor.

- - Split.getEditor(Number idx)
  - Undocumented

#### Arguments

idx | Number | Required. The index of the editor you want Returns the editor identified by the index `idx`.

- - Split.getOrientation()
  - - Number

Returns the orientation.

Returns the orientation.

- - Split.getSplits()
  - - Number

Returns the number of splits.

Returns the number of splits.

- - Split.hasRedo()
  - Undocumented

- - Split.hasUndo()
  - Undocumented

- - Split.redo()
  - Undocumented

- - Split.reset()
  - Undocumented

- - Split.resize()

Resizes the editor.

Resizes the editor.

- - Split.setFontSize(Number size)
  - Undocumented

#### Arguments

size | Number | Required. The new font size Sets the font size, in pixels, for all the available editors.

- - Split.setKeyboardHandler(String keybinding)
  - Undocumented

#### Arguments

keybinding | String | Required. Sets the keyboard handler for the editor.

- - Split.setOrientation(Number orientation)

Sets the orientation.

Sets the orientation.

#### Arguments

orientation | Number | Required. The new orientation value

- - Split.setSession(EditSession session, Number idx)
  - Undocumented

#### Arguments

session | EditSession | Required. The new edit session
idx | Number | Required. The editor's index you're interested in Sets a new `EditSession` for the indicated editor.

- - Split.setSplits()
  - Undocumented

- - Split.setTheme(String theme)
  - Undocumented

#### Arguments

theme | String | Required. The name of the theme to set Sets a theme for each of the available editors.

- - Split.undo()
  - Undocumented

- - Split.UndoManagerProxy()
  - Undocumented